%define upstream_name	 XML-LibXML-Common
%define upstream_version 0.13

Name:		perl-%{upstream_name}
Version:	 %{upstream_version}
Release:	%mkrel 10
Summary:	Various functions used by XML::LibXML, XML::LibXSLT
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     XML-LibXML-Common-0.13-fix-format-errors.patch
BuildRequires:	libxml2-devel >= 2.4.20
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
XML::LibXML::Common contains several constants and functions that
are shared by XML::LibXML, XML::GDOME and XML::LibXSLT (not all done, yet)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p 1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/auto/XML
%{perl_vendorarch}/XML
%{_mandir}/*/*



%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update

